Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IOdaDataSetDesign

All Superinterfaces:
  IBaseDataSetDesign

All Known Implementing Classes:
  OdaDataSetDesign

    public interface IOdaDataSetDesign

extends IBaseDataSetDesign

Describes the static design of a generic ODA (Open Data AccesS) Data Set. The data set is to be retrieved by a query and/or properties defined in this specialized interface.

Field Summary

Fields inherited from interface org.eclipse.birt.data.engine.api.IBaseDataSetDesign
`NULLS_ORDERING_EXCLUDE_NULLS, NULLS_ORDERING_NULLS_HIGHEST, NULLS_ORDERING_NULLS_LOWEST`

Method Summary
`java.lang.String` | `getExtensionID()` Gets the unique id that identifies the type of the data set, assigned by the extension providing the implementation of this data set.
`java.lang.String` | `getPrimaryResultSetName()` Gets the name of the primary result set retrieved by the query.
`int` | `getPrimaryResultSetNumber()` Get the number of the primary result set retrieved by the query.
`java.util.Map` | `getPrivateProperties()` Gets the private data set property, in the form of a ( name[String], value[String] ) map
`java.util.Map` | `getPublicProperties()` Gets the public data set property, in the form of a ( name[String], value[String] ) map
`java.lang.String` | `getQueryText()` Gets the static query text of the data set.

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseDataSetDesign
`getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getCacheRowCount, getCompareLocale, getComputedColumns, getDataSourceName, getEventHandler, getFilters, getInputParamBindings, getName, getNullsOrdering, getOnFetchScript, getParameters, getResultSetHints, getRowFetchLimit, needDistinctValue, setRowFetchLimit`

Method Detail

### getQueryText

    java.lang.String getQueryText()

  Gets the static query text of the data set. A data set might not have any query defined at all. If a query text is defined, it could be either static or dynamic.

  Returns:
    The static query text for execution. Null if no static query is defined.

### getExtensionID

    java.lang.String getExtensionID()

  Gets the unique id that identifies the type of the data set, assigned by the extension providing the implementation of this data set. The id is required if the ODA driver supports more than one types of data set.

  Returns:
    The id fo the type of data set type as referenced by an ODA driver. Null if none is defined.

### getPrimaryResultSetName

    java.lang.String getPrimaryResultSetName()

  Gets the name of the primary result set retrieved by the query. This is required for a query that returns multiple result sets, each of which can be identified by name.

  Returns:
    The name of the primary result set. Null if none is defined.

### getPublicProperties

    java.util.Map getPublicProperties()

  Gets the public data set property, in the form of a ( name[String], value[String] ) map

  Returns:
    Public properties as a Map of String-String pairs. Null if none is defined.

### getPrivateProperties

    java.util.Map getPrivateProperties()

  Gets the private data set property, in the form of a ( name[String], value[String] ) map

  Returns:
    private properties as a Map of String-String pairs. Null if none is defined.

### getPrimaryResultSetNumber

    int getPrimaryResultSetNumber()

  Get the number of the primary result set retrieved by the query. This is required b the query that returns multiple result sets, each of which can be identified by a number.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.